[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TFPList.IndexOf

Returns the index of a given pointer.

## Declaration

Source position: classesh.inc line 251

`public function TFPList.IndexOf(`
`Item: Pointer`
`):Integer;`

## Description

IndexOf searches for the pointer Item in the list of pointers, and returns the index of the pointer, if found.

If no pointer with the value Item was found, -1 is returned.